org.eclipse.january.dataset

## Class StrideIterator

- java.lang.Object
- - org.eclipse.january.dataset.IndexIterator
  - - org.eclipse.january.dataset.SliceIterator
    - - org.eclipse.january.dataset.StrideIterator

-     public class StrideIterator
      extends SliceIterator

  Class to run over a contiguous dataset using strides

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.january.dataset.IndexIterator

      `index`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrideIterator(int[] shape)`
    `StrideIterator(int[] shape, int[] strides)`
    `StrideIterator(int[] shape, int[] strides, int offset)`
    `StrideIterator(int isize, int[] shape)`
    `StrideIterator(int isize, int[] shape, int[] strides, int offset)`
    `StrideIterator(int isize, int[] shape, int[] start, int[] stop, int[] step)`
    `StrideIterator(int isize, int[] shape, int[] strides, int offset, int element)`
    `StrideIterator(int isize, int[] shape, int[] oStrides, int oOffset, int[] start, int[] stop, int[] step)`
    `StrideIterator(int isize, int[] shape, int[] strides, int offset, SliceND slice)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getPos()` Returns the current position of the iterator.
    `boolean` | `hasNext()` Returns `true` if there is an other element after the current Slice.
    `void` | `reset()` Reset the Iterator to the first Slice.

    - ### Methods inherited from class org.eclipse.january.dataset.SliceIterator

      `getShape, getStart, getStep, setStart`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrideIterator

          public StrideIterator(int[] shape)

    - #### StrideIterator

          public StrideIterator(int isize,
                                int[] shape)

    - #### StrideIterator

          public StrideIterator(int[] shape,
                                int[] strides)

    - #### StrideIterator

          public StrideIterator(int[] shape,
                                int[] strides,
                                int offset)

    - #### StrideIterator

          public StrideIterator(int isize,
                                int[] shape,
                                int[] strides,
                                int offset)

    - #### StrideIterator

          public StrideIterator(int isize,
                                int[] shape,
                                int[] strides,
                                int offset,
                                int element)

    - #### StrideIterator

          public StrideIterator(int isize,
                                int[] shape,
                                int[] start,
                                int[] stop,
                                int[] step)

    - #### StrideIterator

          public StrideIterator(int isize,
                                int[] shape,
                                int[] oStrides,
                                int oOffset,
                                int[] start,
                                int[] stop,
                                int[] step)

    - #### StrideIterator

          public StrideIterator(int isize,
                                int[] shape,
                                int[] strides,
                                int offset,
                                SliceND slice)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Description copied from class: `SliceIterator`
      Returns `true` if there is an other element after the current Slice.
      Overrides:
        `hasNext` in class `SliceIterator`
      Returns:
        Returns `true` if the iteration has more Slice, `false` in the other case

    - #### getPos

          public int[] getPos()

      Description copied from class: `SliceIterator`
      Returns the current position of the iterator.
      Overrides:
        `getPos` in class `SliceIterator`
      Returns:
        Iterator current position

    - #### reset

          public void reset()

      Description copied from class: `SliceIterator`
      Reset the Iterator to the first Slice.
      Overrides:
        `reset` in class `SliceIterator`

Copyright © 2014–2019 Eclipse Foundation. All rights reserved.